microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a specific version of a skill
DELETE
/skills/{name}/versions/{version}
Removes the specified version of a skill.
Parametry cesty
name
string
vyžadováno
The name of the skill.
version
string
vyžadováno
The version identifier to delete.
Parametry záhlaví
Foundry-Features
enum
vyžadováno
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
Parametry dotazů
api-version
string
vyžadováno
The API version to use for this operation.
Odpovědi
The request has succeeded.
Text
Content-Type: application/json
id
string
vyžadováno
The unique identifier of the deleted skill version.
name
string
vyžadováno
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
vyžadováno
Whether the skill version was successfully deleted.
version
string
vyžadováno
The version that was deleted.
Žádost
DELETE /skills/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json